<template>
	<el-dialog append-to-body :close-on-click-modal="false" :before-close="cancelForm" :visible.sync="visible" :title="options.title" width="520px">
		<div class="class">33333333333333333333333333</div>
	</el-dialog>
</template>

<script>
export default {
	name: 'formLayer',
	data() {
		return {
			visible:false
		}
	},
	props:{
		options: {
			type: Object,
			default: {},
		},
	},
	watch: {

	},
	created() {
		var that = this;

		console.log('created ________________ ', this);

		this.$nextTick(() => {
			
			//this.Map = Map;
		})

		this.visible = true;
	},
	methods: {
		cancelForm(param){
			this.visible = false;
			setTimeout(() => {
				this.$destroy()
			}, 1000)
		},
	}
}
</script>

<style lang="scss" scoped>
	.amap{height:100%;width:100%;}
</style>
